<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.nokia.tsl_data.dao.HighQualityCountDao">

    <!-- 从客户端统计表获取某日的总投诉量（办结量） -->
    <select id="selectTotalComplaintsForDay" resultType="map">select businoareaname,
        total_complaints from report_auto.he_d_high_quality hdhq where month_id = substring(#{day}
        from 1 for 6) and day_id = substring(#{day} from 7 for 2) and profes_dep = '网络质量' and
        big_type_name = '移网网络体验' and small_type_name = '--'</select>

    <!-- 从客户端统计表获取某日的总投诉量（办结量） 入参 monthId dayId -->
    <select id="selectTotalComplaintsForMonthIdAndDay" resultType="map">select businoareaname,
        total_complaints from report_auto.he_d_high_quality hdhq where month_id = #{monthId} and
        day_id = #{day} and profes_dep = '网络质量' and big_type_name = '移网网络体验' and small_type_name =
        '--'</select>

</mapper>